/*
Theme Name:   TB theme
Description:  Twenty Twenty-Five child theme
Author:       WordPress.org
Author URI:   https://wordpress.org/
Template:     twentytwentyfive
Version:      1.0.1
Text Domain:  tbtheme
*/

html {
	scroll-behavior: smooth;
	scroll-padding-top: 64px;
}

.entry-content > .wp-block-group,
.entry-content > .wp-block-gallery {
	margin-block-start: 8rem;
}

.entry-content > .wp-block-image {
	margin-block-start: 3rem;
}

.wp-block-buttons .wp-block-button__link {
	font-family: var(--wp--preset--font-family--poppins);
	font-weight: 500;
    letter-spacing: 0.5px;
}

.wp-block-buttons .wp-block-button__link:hover {
	background-color: color-mix(in srgb, var(--wp--preset--color--accent-1) 85%, transparent);
	color: inherit;
}

.wp-block-buttons .is-style-outline .wp-block-button__link {
	border: 1px solid var(--wp--preset--color--accent-2);
}

.wp-block-buttons .is-style-outline .wp-block-button__link:hover {
	background-color: color-mix(in srgb, var(--wp--preset--color--accent-2) 85%, transparent);
	border-color: color-mix(in srgb, var(--wp--preset--color--accent-2) 85%, transparent);
}

.wp-block-gallery .wp-element-caption {
	display: none;
}

/* Text logo */

.is-style-text-display {
	letter-spacing: 1px;
}

.text-logo {
	align-items: flex-end;
}

.text-logo .wp-block-image {
	padding-bottom: 8px;
}

@media screen and (max-width: 800px) {
	.text-logo .wp-block-image {
		flex-basis: 70px;
	}
}

/* Etusivun hero */

.home .wp-block-cover {
	margin-bottom: -4rem;
}

.home .wp-block-cover::before {
	content: '';
	position: absolute;
	inset: 0;
	background-color: var(--wp--preset--color--base);
	opacity: 0.75;
	z-index: 1;
}

.home .wp-block-cover__inner-container {
	position: relative;
	z-index: 1;
	max-width: 600px;
}

/* Nostolaatikko */

.wp-block-group.info-box {
	padding: 32px;
	position: relative;
	text-align: center;
}

.wp-block-group.info-box::before, .wp-block-group.info-box::after {
	content: '';
	position: absolute;
	inset: 0;
	border: 2px solid var(--wp--preset--color--accent-1);
	z-index: -1;
}

.wp-block-group.info-box::before {
	margin-top: -8px;
	margin-left: -8px;
}

.wp-block-group.info-box .wp-block-buttons {
	justify-content: center;
	padding-top: 8px;
}

.wp-block-group.info-box::after {
	margin-right: -8px;
	margin-bottom: -8px;
}

/* Kuvanostot */

.wp-block-group.image-highglights .image-highlight {
	display: flex;
	flex-direction: column;
	position: relative;
	z-index: 1;
}

.wp-block-group.image-highglights .image-highlight::after {
	content: '';
	position: absolute;
	inset: 0;
	left: 12px;
    top: 12px;
	border: 2px solid var(--wp--preset--color--accent-1);
	margin-right: -12px;
	margin-bottom: -12px;
	z-index: -1;
}

.wp-block-group.image-highglights .image-highlight .wp-block-group {
	flex-grow: 1;
	width: 100%;
}

@media screen and (max-width: 800px) {
	.wp-block-group.image-highglights > .wp-block-group {
		grid-template-columns: 1fr;
	}
}

/* Ikoninostot */

.icon-highlight .wp-block-image {
	min-height: 100px;
	display: flex;
    justify-content: center;
}

@media screen and (max-width: 800px) {
	.icon-highlights > .wp-block-group {
		grid-template-columns: 1fr;
	}
}

/* Ninja forms */

.wpcf7-not-valid-tip {
	color: var(--wp--preset--color--accent-1);
	font-size: 14px;
}

.wpcf7-form-control-wrap {
	display: block;
	margin-top: 8px;
}

.wpcf7-form label {
	font-family: var(--wp--preset--font-family--poppins);
	font-weight: 500;
}

.wpcf7-form input, .wpcf7-form textarea {
	background: transparent;
    border: 1px solid var(--wp--preset--color--accent-2);
	font-family: var(--wp--preset--font-family--inter);
    padding: 16px;
    color: white;
    font-size: 18px;
	width: 100%;
    box-sizing: border-box;
}

.wpcf7-form input[type="submit"] {
	background: var(--wp--preset--color--accent-2);
	cursor: pointer;
	font-family: var(--wp--preset--font-family--poppins);
	font-weight: 500;
	width: auto;
	padding: 16px 36px;
}

.wpcf7-form input[type="submit"]:hover {
    background-color: 
color-mix(in srgb, var(--wp--preset--color--accent-2) 85%, transparent);
    border-color: 
color-mix(in srgb, var(--wp--preset--color--accent-2) 85%, transparent);
}

.wpcf7-response-output {
	border: none !important;
	outline: none;
    text-align: center;
    background: #9e9e9e38;
    padding: 32px !important;
}

/* Image gallery lightbox */

body.baguetteBox-open {
	overflow: hidden;
}

#baguetteBox-overlay {
	background-color: #000203e6 !important;
}

#baguetteBox-overlay .full-image figcaption {
	font-family: var(--wp--preset--font-family--inter);
	max-width: 800px;
    margin: 0 auto;
    left: 50%;
    transform: translateX(-50%);
    padding: 16px;
    font-size: 16px;
    background: #000203e6;
    line-height: 1.4;
	margin-bottom: 16px;
}

@media screen and (max-width: 800px) {
	#baguetteBox-overlay .full-image figcaption {
		max-width: 90%;
	}
}